commit 5dd8c5f6998780646dd71048e4cf45682d167d87
parent f478ac88cb5632b519ba424fc7ca1c903f3510ab
Author: Szymon Mikulicz <szymon.mikulicz@posteo.net>
Date: Thu, 2 Jul 2026 22:26:57 +0200
Some changes
Diffstat:
5 files changed, 33 insertions(+), 3 deletions(-)
diff --git a/randpaper/.config/randpaper/config.toml b/randpaper/.config/randpaper/config.toml
@@ -1,4 +1,4 @@
-wallpaper_dir = "/home/szymon/Pictures/Wallpapers"
+wallpaper_dir = "/home/szymon/img/wallpapers"
backend = "sway" # "sway" | "hyprland"
renderer = "awww" # "swaybg" | "awww"
time = "30m" # used only in daemon mode
diff --git a/scripts/.local/bin/src-git b/scripts/.local/bin/src-git
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+for dir in ~/.usr/src/*; do
+ tag="$(git -C "$dir" tag --points-at HEAD)"
+ if [ -n "$tag" ]; then
+ [ "$1" = "-u" ] && git -C "$dir" fetch --tags 2>/dev/null 1>&2
+ remote_tag="$(git -C "$dir" for-each-ref --sort=creatordate --format '%(refname)' refs/tags | cut -d/ -f3 | tail -1)"
+ if [ "${tag#v}" != "${remote_tag#v}" ]; then
+ printf "%-15s %10s -> %-10s\n" "$(basename $dir)" "$tag" "$remote_tag"
+ fi
+ else
+ [ "$1" = "-u" ] && git -C "$dir" remote update 2>/dev/null 1>&2
+ branch="$(git -C "$dir" rev-parse --abbrev-ref HEAD)"
+ if [ "$branch" = "HEAD" ]; then
+ echo "No branch or tag found for $pkg"
+ exit 1
+ fi
+ if remote="$(git -C "$dir" rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null)"; then
+ commits="$(git -C "$dir" rev-list --left-only --count "$remote...@")"
+ if [ "$commits" != 0 ]; then
+ printf "%-15s %10s ++ %-10s\n" "$(basename $dir)" "$branch" "$commits"
+ fi
+ fi
+ fi
+done
diff --git a/starship/.config/starship.toml b/starship/.config/starship.toml
@@ -1,6 +1,6 @@
add_newline = false
command_timeout = 200
-format = "[$hostname$directory$git_branch$git_commit$git_status$character]($style)"
+format = "[$hostname$container$directory$git_branch$git_commit$git_status$character]($style)"
[character]
error_symbol = "[!>](bold cyan)"
@@ -41,3 +41,7 @@ deleted = ""
[hostname]
format = '[@$hostname]($style) '
+
+
+[container]
+format = '[$symbol$name]($style) '
diff --git a/sway/.config/sway/config b/sway/.config/sway/config
@@ -17,7 +17,7 @@ bindsym $mod+o exec find $HOME/.password-store -name '*.gpg' \
| tofi \
| xargs -I{} pass show '{}' \
| head -1 \
- | timeout 5 wl-copy -f -n --sensitive
+ | timeout 5 wl-copy -f -n
bindsym $mod+h focus left
bindsym $mod+j focus down
diff --git a/zsh/.zshrc.local b/zsh/.zshrc.local
@@ -1,4 +1,5 @@
[ -f ~/.cargo/env ] && source ~/.cargo/env
+[ -d /opt/bin ] && [[ "$PATH" != *:/opt/bin* ]] && export PATH="$PATH:/opt/bin"
alias :e="$EDITOR"
alias :q=exit